<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{homeManagerBean.initializeHome()}
            <s:div id="title" rendered="#{not identity.loggedIn or not s:hasRole('admin_role')}">
                <h1>
                    <h:outputText value="#{homeManagerBean.selectedHome.homeTitle}"
                                  rendered="#{not empty homeManagerBean.selectedHome.homeTitle}"/>
                    <h:outputText value="#{messages['gazelle.simulator.noTitleDefined']}"
                                  rendered="#{empty homeManagerBean.selectedHome.homeTitle}"/>
                </h1>
            </s:div>
            <s:div id="titleForAdmin" rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                <h1>
                    <rich:inplaceInput id="titleEdit" defaultLabel="#{messages['gazelle.simulator.defaultHomeTitle']}"
                                       value="#{homeManagerBean.selectedHome.homeTitle}" showControls="true"
                                       inputWidth="750px">
                        <a4j:ajax event="change" render="titleForAdmin" listener="#{homeManagerBean.save()}"/>
                    </rich:inplaceInput>
                </h1>
            </s:div>

            <s:div styleClass="panel panel-default" id="info">

                <div class="panel-body">
                    <h:outputText value="#{homeManagerBean.selectedHome.mainContent}"
                                  rendered="#{not homeManagerBean.mainContentEditMode and not empty homeManagerBean.selectedHome.mainContent}"
                                  escape="false"/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.maven.NoHomeContentDefinedYet']}"
                            rendered="#{not homeManagerBean.mainContentEditMode and empty homeManagerBean.selectedHome.mainContent}"/>

                    <a4j:region id="mainContentRegion" rendered="#{homeManagerBean.mainContentEditMode}">
                        <ui:decorate template="/layout/editor/_text_editor.xhtml">
                            <ui:param name="id" value="mainEditor"/>
                            <ui:param name="text" value="#{homeManagerBean.selectedHome.mainContent}"/>
                            <ui:param name="editor_height" value="400"/>
                        </ui:decorate>
                    </a4j:region>
                </div>
                <s:div id="homeAdminButton" styleClass="panel-footer"
                       rendered="#{applicationConfigurationManager.worksWithoutCas or (identity.loggedIn and s:hasRole('admin_role'))}">

                    <a4j:commandButton styleClass="gzl-btn-blue" execute="@this"
                                       rendered="#{not homeManagerBean.mainContentEditMode}"
                                       value="#{messages['gazelle.simulator.editMainContent']}"
                                       actionListener="#{homeManagerBean.editMainContent()}"
                                       render="info,homeAdminButton"/>
                    <a4j:commandButton styleClass="gzl-btn-green" execute="mainContentRegion"
                                       value="#{messages['gazelle.simulator.Save']}"
                                       rendered="#{homeManagerBean.mainContentEditMode}"
                                       actionListener="#{homeManagerBean.save()}" render="info"/>
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.maven.Cancel']}"
                                       action="/home.seam"
                                       execute="@this"
                                       rendered="#{homeManagerBean.mainContentEditMode}"/>
                </s:div>
            </s:div>


        </h:form>
    </ui:define>
</ui:composition>
